%global majorversion 0.3

Name:           xfce4-mpc-plugin
Version:        0.3.5
Release:        1%{?dist}
Summary:        MPD client for the Xfce panel

Group:          User Interface/Desktops
License:        ISC
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{majorversion}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce4-panel-devel >= 4.3.22, libxfcegui4-devel >= 4.3.90.2
BuildRequires:  exo-devel >= 0.3.1.1
BuildRequires:  gettext, intltool
BuildRequires:  libmpd-devel >= 0.12
Requires:       xfce4-panel >= 4.6.0

%description
A simple client plugin for MPD, the Music Player Daemon.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
# FIXME: add NEWS when there are some
%doc AUTHORS COPYING ChangeLog README TODO
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Tue May 18 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.5-1
- Update to 0.3.5

* Wed Nov 25 2009 Adrian Reber <adrian@lisas.de> - 0.3.4-2
- Rebuild for libmpd 0.19.0

* Wed Nov 04 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.4-1
- Update to 0.3.4

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.3-4
- Rebuild for libmpd 0.18.0

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.3-2
- Rebuild for Xfce 4.6 (Beta 3)

* Fri Jul 11 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.3-1
- Update to 0.3.3 on Xfce 4.4.2

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2-1
- Update to 0.3.2
- Update license tag

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-2
- Rebuild for Xfce 4.4.1

* Sat Feb 03 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0 on Xfce 4.4

* Sat Nov 11 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Sat Sep 23 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-1
- Initial Fedora package
